csPtrWrap< T > Class Template Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

csPtrWrap< T > Class Template Reference

Simple pointer wrapper class. More...

`#include <csutil/ptrwrap.h>`

List of all members.

## Public Member Functions
| csPtrWrap ()
| Constructor.
| csPtrWrap (const csPtrWrap &other)
| Constructor.
| csPtrWrap (T *ptr)
| Constructor.
| operator const T * () const
| Obtain the wrapped pointer.
| operator T *& ()
| Obtain the wrapped pointer.
csPtrWrap & | operator= (T *ptr)
| Assign another pointer.
csPtrWrap & | operator= (const T *ptr)
| Assign another pointer.

## Detailed Description

### template<typename T>
class csPtrWrap< T >

Simple pointer wrapper class.

The difference to a "normal" pointer is that this one will be initialized with 0.

Definition at line 32 of file ptrwrap.h.

## Constructor & Destructor Documentation

template<typename T >

csPtrWrap< T >::csPtrWrap | ( |  | ) | `[inline]`

Constructor.

Definition at line 39 of file ptrwrap.h.

template<typename T >

csPtrWrap< T >::csPtrWrap | ( | const csPtrWrap< T > & | other | ) | `[inline]`

Constructor.

Definition at line 40 of file ptrwrap.h.

template<typename T >

csPtrWrap< T >::csPtrWrap | ( | T * | ptr | ) | `[inline]`

Constructor.

Definition at line 41 of file ptrwrap.h.

## Member Function Documentation

template<typename T >

csPtrWrap< T >::operator const T * | ( |  | ) | const`[inline]`

Obtain the wrapped pointer.

Definition at line 46 of file ptrwrap.h.

template<typename T >

csPtrWrap< T >::operator T *& | ( |  | ) | `[inline]`

Obtain the wrapped pointer.

Definition at line 47 of file ptrwrap.h.

template<typename T >

csPtrWrap& csPtrWrap< T >::operator= | ( | T * | ptr | ) | `[inline]`

Assign another pointer.

Definition at line 52 of file ptrwrap.h.

template<typename T >

csPtrWrap& csPtrWrap< T >::operator= | ( | const T * | ptr | ) | `[inline]`

Assign another pointer.

Definition at line 53 of file ptrwrap.h.

The documentation for this class was generated from the following file:

- csutil/ptrwrap.h